package StructuralClass;

import TX_OtherClass.JceStruct;
import TX_OtherClass.c;
import TX_OtherClass.d;

public final class MiniProgramInfo extends JceStruct {
    public String path;
    public String programName;

    public MiniProgramInfo() {
        super();
        this.programName = "";
        this.path = "";
    }

    public MiniProgramInfo(String arg2, String arg3) {
        super();
        this.programName = "";
        this.path = "";
        this.programName = arg2;
        this.path = arg3;
    }

    public final void readFrom(c arg3) {
        this.programName = arg3.b(0, false);
        this.path = arg3.b(1, false);
    }

    public final void writeTo(d arg3) {
        if(this.programName != null) {
            arg3.a(this.programName, 0);
        }

        if(this.path != null) {
            arg3.a(this.path, 1);
        }
    }

}

